Bug 583601 - setuptools 0.6c11 is available, please update :)
Summary: setuptools 0.6c11 is available, please update :)
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: python-setuptools
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Toshio Ernie Kuratomi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-19 08:13 UTC by Ankur Sinha (FranciscoD)
Modified: 2010-04-27 13:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-27 13:59:04 UTC
Type: ---


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2010-04-19 08:13:11 UTC
Description of problem:

Hey, setuptools 0.6c11 is available at 

http://pypi.python.org/pypi/setuptools

Please update?

Version-Release number of selected component (if applicable):

[Ankur1@localhost lelutin-tomtom-4f515cb]$ rpm -qa | grep python | grep setup
python-setuptools-0.6c9-5.fc12.noarch


I need this to build a package :)

===============================================================================

[Ankur1@localhost lelutin-tomtom-4f515cb]$ python setup.py --help

---------------------------------------------------------------------------
This script requires setuptools version 0.6c11 to run (even to display
help).  I will attempt to download it for you (from
http://pypi.python.org/packages/2.6/s/setuptools/), but
you may need to enable firewall access for this script first.
I will start the download in 15 seconds.

(Note: if this machine does not have network access, please obtain the file

   http://pypi.python.org/packages/2.6/s/setuptools/setuptools-0.6c11-py2.6.egg

and place it in this directory before rerunning this script.)
---------------------------------------------------------------------------


Thanks!

Ankur

Comment 1 Ankur Sinha (FranciscoD) 2010-04-19 11:29:57 UTC
I've built an updated package to use for the timebeing, if that's any help:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2124635

Comment 2 Toshio Ernie Kuratomi 2010-04-19 16:55:54 UTC
I don't want to spend more time updating setuptools when the direction we should be taking is to move to distribute (as shipped in F13).

The error message about needing setuptool-0.6c11 is almost certainly because of setuptools being braindead.  If you give me an srpm for the package you are building, I'll give you a patch to fix that that you can also send upstream.  If the newer setuptools is really needed I'll think about updating.... although I'm inclined to switch us to distribute if I can... which shouldn't be disruptive but is a somewhat major change.

Comment 3 Gabriel Filion 2010-04-20 03:55:08 UTC
hello, I'm the upstream developer for this application. I've found that the source of this issue is that the setup.py script was using an included ez_setup.py script, which in turn was forcing download of version 0.6c11 of setuptools.

the latest revision of setuptools is indeed not required and a fix was pushed on the upstream repository that should remove this behaviour.

Comment 4 Ankur Sinha (FranciscoD) 2010-04-27 13:59:04 UTC
(In reply to comment #3)
> hello, I'm the upstream developer for this application. I've found that the
> source of this issue is that the setup.py script was using an included
> ez_setup.py script, which in turn was forcing download of version 0.6c11 of
> setuptools.
> 
> the latest revision of setuptools is indeed not required and a fix was pushed
> on the upstream repository that should remove this behaviour.    


hey,

Thanks Gabriel. I'll use the new source. Closing the bug. 

regards,
Ankur


Note You need to log in before you can comment on or make changes to this bug.